<html>
<head>
<title>Ogre::PixelUtil Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PixelUtil.html">PixelUtil</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PixelUtil Class Reference<div class="ingroups"><a class="el" href="group__Image.html">Image</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PixelUtil" -->
<p>Some utility functions for packing and unpacking pixel data.  
 <a href="classOgre_1_1PixelUtil.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>&gt;</code></p>

<p><a href="classOgre_1_1PixelUtil-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a1e39ec27d40f044a058e6fef850a1fbe">getNumElemBytes</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size in bytes of an element of the given pixel format.  <a href="#a1e39ec27d40f044a058e6fef850a1fbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a1dbc281fe64d9f70b3ce5e6d3011cafb">getNumElemBits</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size in bits of an element of the given pixel format.  <a href="#a1dbc281fe64d9f70b3ce5e6d3011cafb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a9f4754892f46c4d17a16374a0d9aade9">getMemorySize</a> (size_t width, size_t height, size_t depth, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size in memory of a region with the given extents and pixel format with consecutive memory layout.  <a href="#a9f4754892f46c4d17a16374a0d9aade9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#ae0c13cd6390b11bc851c9e2ba1201f40">getFlags</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the property flags for this pixel format.  <a href="#ae0c13cd6390b11bc851c9e2ba1201f40"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a1e15a9f2c0dc1cba158755633574fbc7">hasAlpha</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shortcut method to determine if the format has an alpha component.  <a href="#a1e15a9f2c0dc1cba158755633574fbc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a478b8c3bbb3bc516f3a06524fc1d9f4b">isFloatingPoint</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shortcut method to determine if the format is floating point.  <a href="#a478b8c3bbb3bc516f3a06524fc1d9f4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#ac4fcce8523b25011939624bfe2572314">isCompressed</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shortcut method to determine if the format is compressed.  <a href="#ac4fcce8523b25011939624bfe2572314"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a51407cd07e47f24263942453ee4f93af">isDepth</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shortcut method to determine if the format is a depth format.  <a href="#a51407cd07e47f24263942453ee4f93af"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#aa6a3f3c1e6b98b537ce6dfed949afa3c">isNativeEndian</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shortcut method to determine if the format is in native endian format.  <a href="#aa6a3f3c1e6b98b537ce6dfed949afa3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a7e2ff8ebe2e05d6c0dc5ab725b294cf8">isLuminance</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shortcut method to determine if the format is a luminance format.  <a href="#a7e2ff8ebe2e05d6c0dc5ab725b294cf8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#acb83c9058ba34602be4e07e4d7ce1d2d">isValidExtent</a> (size_t width, size_t height, size_t depth, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return wether a certain image extent is valid for this image format.  <a href="#acb83c9058ba34602be4e07e4d7ce1d2d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a91159ec54a34fca27ccc7621c9b6d957">getBitDepths</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format, int rgba[4])</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gives the number of bits (RGBA) for a format.  <a href="#a91159ec54a34fca27ccc7621c9b6d957"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a0ede5a1484d8c57a2cdc87eb4f6d7676">getBitMasks</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> rgba[4])</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gives the masks for the R, G, B and A component.  <a href="#a0ede5a1484d8c57a2cdc87eb4f6d7676"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#afbd54e9abc204019624bf99bc8cdb3c1">getBitShifts</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format, unsigned char rgba[4])</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gives the bit shifts for R, G, B and A component.  <a href="#afbd54e9abc204019624bf99bc8cdb3c1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#aec27f7358f77fabc0c9e68ce35b5af69">getFormatName</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> srcformat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name of an image format.  <a href="#aec27f7358f77fabc0c9e68ce35b5af69"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a2a9e6ac27e4a4cb2d890d322b3f12c8e">isAccessible</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> srcformat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns wether the format can be packed or unpacked with the <a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40" title="Pack a colour value to memory.">packColour()</a> and <a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc" title="Unpack a colour value from memory.">unpackColour()</a> functions.  <a href="#a2a9e6ac27e4a4cb2d890d322b3f12c8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a90ebf73b3830df2e83d529e60fd8c385">getComponentType</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> fmt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the component type for a certain pixel format.  <a href="#a90ebf73b3830df2e83d529e60fd8c385"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#ae81ba2514ca7f5a53c84bb515de2ade0">getComponentCount</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> fmt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the component count for a certain pixel format.  <a href="#ae81ba2514ca7f5a53c84bb515de2ade0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a601fd16392331e7ddce6bcc455b5729d">getFormatFromName</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool accessibleOnly=false, bool caseSensitive=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the format from given name.  <a href="#a601fd16392331e7ddce6bcc455b5729d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a32443d01d6399f778fce913ca80b0eee">getBNFExpressionOfPixelFormats</a> (bool accessibleOnly=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the BNF expression of the pixel-formats.  <a href="#a32443d01d6399f778fce913ca80b0eee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#ae127c3e6145af784e7d2d3734681a75a">getFormatForBitDepths</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> fmt, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> integerBits, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> floatBits)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the similar format but acoording with given bit depths.  <a href="#ae127c3e6145af784e7d2d3734681a75a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40">packColour</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour, const <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, void *dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pack a colour value to memory.  <a href="#a793a7ae2bb8edec89ab520958ac33f40"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#af0658994fbf0337d455ac9aa74ee8084">packColour</a> (const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> r, const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> g, const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> b, const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> a, const <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, void *dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pack a colour value to memory.  <a href="#af0658994fbf0337d455ac9aa74ee8084"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a29490454e6327a0429d19533880f6e2c">packColour</a> (const float r, const float g, const float b, const float a, const <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, void *dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pack a colour value to memory.  <a href="#a29490454e6327a0429d19533880f6e2c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc">unpackColour</a> (<a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *colour, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, const void *src)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unpack a colour value from memory.  <a href="#a9b90b16c6c5c8a9fefd42e06a1bd99dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a6599a03e4d51ef96f373f47253e2b9e3">unpackColour</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *r, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *g, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *b, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *a, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, const void *src)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unpack a colour value from memory.  <a href="#a6599a03e4d51ef96f373f47253e2b9e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#ae1448ad9a222ed03918f2e94a057612c">unpackColour</a> (float *r, float *g, float *b, float *a, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pf, const void *src)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unpack a colour value from memory.  <a href="#ae1448ad9a222ed03918f2e94a057612c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a8d05d1cc543c2618b7ec790648d0ccce">bulkPixelConversion</a> (void *src, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> srcFormat, void *dest, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> dstFormat, unsigned int count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert consecutive pixels from one format to another.  <a href="#a8d05d1cc543c2618b7ec790648d0ccce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelUtil.html#a9f6e459a0f92c0c8e6bf4f20ee3a771a">bulkPixelConversion</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src, const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert pixels from one format to another.  <a href="#a9f6e459a0f92c0c8e6bf4f20ee3a771a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Some utility functions for packing and unpacking pixel data. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00305">305</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a8d05d1cc543c2618b7ec790648d0ccce"></a><!-- doxytag: member="Ogre::PixelUtil::bulkPixelConversion" ref="a8d05d1cc543c2618b7ec790648d0ccce" args="(void *src, PixelFormat srcFormat, void *dest, PixelFormat dstFormat, unsigned int count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a8d05d1cc543c2618b7ec790648d0ccce">Ogre::PixelUtil::bulkPixelConversion</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>srcFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>dstFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert consecutive pixels from one format to another. </p>
<p>No dithering or filtering is being done. Converting from RGB to luminance takes the R channel. In case the source and destination format match, just a copy is done. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td>Pointer to source region </td></tr>
    <tr><td class="paramname">srcFormat</td><td>Pixel format of source region </td></tr>
    <tr><td class="paramname">dst</td><td>Pointer to destination region </td></tr>
    <tr><td class="paramname">dstFormat</td><td>Pixel format of destination region </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9f6e459a0f92c0c8e6bf4f20ee3a771a"></a><!-- doxytag: member="Ogre::PixelUtil::bulkPixelConversion" ref="a9f6e459a0f92c0c8e6bf4f20ee3a771a" args="(const PixelBox &amp;src, const PixelBox &amp;dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a8d05d1cc543c2618b7ec790648d0ccce">Ogre::PixelUtil::bulkPixelConversion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert pixels from one format to another. </p>
<p>No dithering or filtering is being done. Converting from RGB to luminance takes the R channel. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td><a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> containing the source pixels, pitches and format </td></tr>
    <tr><td class="paramname">dst</td><td><a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> containing the destination pixels, pitches and format </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The source and destination boxes must have the same dimensions. In case the source and destination format match, a plain copy is done. </dd></dl>

</div>
</div>
<a class="anchor" id="a91159ec54a34fca27ccc7621c9b6d957"></a><!-- doxytag: member="Ogre::PixelUtil::getBitDepths" ref="a91159ec54a34fca27ccc7621c9b6d957" args="(PixelFormat format, int rgba[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a91159ec54a34fca27ccc7621c9b6d957">Ogre::PixelUtil::getBitDepths</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rgba</em>[4]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gives the number of bits (RGBA) for a format. </p>
<p>See remarks. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>For non-colour formats (dxt, depth) this returns [0,0,0,0]. </dd></dl>

</div>
</div>
<a class="anchor" id="a0ede5a1484d8c57a2cdc87eb4f6d7676"></a><!-- doxytag: member="Ogre::PixelUtil::getBitMasks" ref="a0ede5a1484d8c57a2cdc87eb4f6d7676" args="(PixelFormat format, uint32 rgba[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a0ede5a1484d8c57a2cdc87eb4f6d7676">Ogre::PixelUtil::getBitMasks</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>rgba</em>[4]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gives the masks for the R, G, B and A component. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Only valid for native endian formats </dd></dl>

</div>
</div>
<a class="anchor" id="afbd54e9abc204019624bf99bc8cdb3c1"></a><!-- doxytag: member="Ogre::PixelUtil::getBitShifts" ref="afbd54e9abc204019624bf99bc8cdb3c1" args="(PixelFormat format, unsigned char rgba[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#afbd54e9abc204019624bf99bc8cdb3c1">Ogre::PixelUtil::getBitShifts</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>rgba</em>[4]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gives the bit shifts for R, G, B and A component. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Only valid for native endian formats </dd></dl>

</div>
</div>
<a class="anchor" id="a32443d01d6399f778fce913ca80b0eee"></a><!-- doxytag: member="Ogre::PixelUtil::getBNFExpressionOfPixelFormats" ref="a32443d01d6399f778fce913ca80b0eee" args="(bool accessibleOnly=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PixelUtil.html#a32443d01d6399f778fce913ca80b0eee">Ogre::PixelUtil::getBNFExpressionOfPixelFormats</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>accessibleOnly</em> = <code>false</code></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the BNF expression of the pixel-formats. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The string returned by this function is intended to be used as a BNF expression to work with Compiler2Pass. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">accessibleOnly</td><td>If true, only accessible pixel format will take into account, otherwise all pixel formats list in PixelFormat enumeration will being returned. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A string contains the BNF expression. </dd></dl>

</div>
</div>
<a class="anchor" id="ae81ba2514ca7f5a53c84bb515de2ade0"></a><!-- doxytag: member="Ogre::PixelUtil::getComponentCount" ref="ae81ba2514ca7f5a53c84bb515de2ade0" args="(PixelFormat fmt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1PixelUtil.html#ae81ba2514ca7f5a53c84bb515de2ade0">Ogre::PixelUtil::getComponentCount</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>fmt</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the component count for a certain pixel format. </p>
<p>Returns 3(no alpha) or 4 (has alpha) in case there is no clear component type like with compressed formats. </p>

</div>
</div>
<a class="anchor" id="a90ebf73b3830df2e83d529e60fd8c385"></a><!-- doxytag: member="Ogre::PixelUtil::getComponentType" ref="a90ebf73b3830df2e83d529e60fd8c385" args="(PixelFormat fmt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> <a class="el" href="classOgre_1_1PixelUtil.html#a90ebf73b3830df2e83d529e60fd8c385">Ogre::PixelUtil::getComponentType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>fmt</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the component type for a certain pixel format. </p>
<p>Returns PCT_BYTE in case there is no clear component type like with compressed formats. This is one of PCT_BYTE, PCT_SHORT, PCT_FLOAT16, PCT_FLOAT32. </p>

</div>
</div>
<a class="anchor" id="ae0c13cd6390b11bc851c9e2ba1201f40"></a><!-- doxytag: member="Ogre::PixelUtil::getFlags" ref="ae0c13cd6390b11bc851c9e2ba1201f40" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int <a class="el" href="classOgre_1_1PixelUtil.html#ae0c13cd6390b11bc851c9e2ba1201f40">Ogre::PixelUtil::getFlags</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the property flags for this pixel format. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A bitfield combination of PFF_HASALPHA, PFF_ISCOMPRESSED, PFF_FLOAT, PFF_DEPTH, PFF_NATIVEENDIAN, PFF_LUMINANCE </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This replaces the separate functions for formatHasAlpha, formatIsFloat, ... </dd></dl>

</div>
</div>
<a class="anchor" id="ae127c3e6145af784e7d2d3734681a75a"></a><!-- doxytag: member="Ogre::PixelUtil::getFormatForBitDepths" ref="ae127c3e6145af784e7d2d3734681a75a" args="(PixelFormat fmt, ushort integerBits, ushort floatBits)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1PixelUtil.html#ae127c3e6145af784e7d2d3734681a75a">Ogre::PixelUtil::getFormatForBitDepths</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>fmt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>integerBits</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>floatBits</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the similar format but acoording with given bit depths. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">fmt</td><td>The original foamt. </td></tr>
    <tr><td class="paramname">integerBits</td><td>Preferred bit depth (pixel bits) for integer pixel format. Available values: 0, 16 and 32, where 0 (the default) means as it is. </td></tr>
    <tr><td class="paramname">floatBits</td><td>Preferred bit depth (channel bits) for float pixel format. Available values: 0, 16 and 32, where 0 (the default) means as it is. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The format that similar original format with bit depth according with preferred bit depth, or original format if no conversion occurring. </dd></dl>

</div>
</div>
<a class="anchor" id="a601fd16392331e7ddce6bcc455b5729d"></a><!-- doxytag: member="Ogre::PixelUtil::getFormatFromName" ref="a601fd16392331e7ddce6bcc455b5729d" args="(const String &amp;name, bool accessibleOnly=false, bool caseSensitive=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1PixelUtil.html#a601fd16392331e7ddce6bcc455b5729d">Ogre::PixelUtil::getFormatFromName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>accessibleOnly</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>caseSensitive</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the format from given name. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The string of format name </td></tr>
    <tr><td class="paramname">accessibleOnly</td><td>If true, non-accessible format will treat as invalid format, otherwise, all supported format are valid. </td></tr>
    <tr><td class="paramname">caseSensitive</td><td>Should be set true if string match should use case sensitivity. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The format match the format name, or PF_UNKNOWN if is invalid name. </dd></dl>

</div>
</div>
<a class="anchor" id="aec27f7358f77fabc0c9e68ce35b5af69"></a><!-- doxytag: member="Ogre::PixelUtil::getFormatName" ref="aec27f7358f77fabc0c9e68ce35b5af69" args="(PixelFormat srcformat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1PixelUtil.html#aec27f7358f77fabc0c9e68ce35b5af69">Ogre::PixelUtil::getFormatName</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>srcformat</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the name of an image format. </p>

</div>
</div>
<a class="anchor" id="a9f4754892f46c4d17a16374a0d9aade9"></a><!-- doxytag: member="Ogre::PixelUtil::getMemorySize" ref="a9f4754892f46c4d17a16374a0d9aade9" args="(size_t width, size_t height, size_t depth, PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1PixelUtil.html#a9f4754892f46c4d17a16374a0d9aade9">Ogre::PixelUtil::getMemorySize</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>depth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the size in memory of a region with the given extents and pixel format with consecutive memory layout. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>The width of the area </td></tr>
    <tr><td class="paramname">height</td><td>The height of the area </td></tr>
    <tr><td class="paramname">depth</td><td>The depth of the area </td></tr>
    <tr><td class="paramname">format</td><td>The format of the area </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The size in bytes </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>In case that the format is non-compressed, this simply returns width*height*depth*PixelUtil::getNumElemBytes(format). In the compressed case, this does serious magic. </dd></dl>

</div>
</div>
<a class="anchor" id="a1dbc281fe64d9f70b3ce5e6d3011cafb"></a><!-- doxytag: member="Ogre::PixelUtil::getNumElemBits" ref="a1dbc281fe64d9f70b3ce5e6d3011cafb" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1PixelUtil.html#a1dbc281fe64d9f70b3ce5e6d3011cafb">Ogre::PixelUtil::getNumElemBits</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the size in bits of an element of the given pixel format. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The size in bits of an element. See Remarks. </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Passing PF_UNKNOWN will result in returning a size of 0 bits. </dd></dl>

</div>
</div>
<a class="anchor" id="a1e39ec27d40f044a058e6fef850a1fbe"></a><!-- doxytag: member="Ogre::PixelUtil::getNumElemBytes" ref="a1e39ec27d40f044a058e6fef850a1fbe" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1PixelUtil.html#a1e39ec27d40f044a058e6fef850a1fbe">Ogre::PixelUtil::getNumElemBytes</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the size in bytes of an element of the given pixel format. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The size in bytes of an element. See Remarks. </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Passing PF_UNKNOWN will result in returning a size of 0 bytes. </dd></dl>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a1e15a9f2c0dc1cba158755633574fbc7"></a><!-- doxytag: member="Ogre::PixelUtil::hasAlpha" ref="a1e15a9f2c0dc1cba158755633574fbc7" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#a1e15a9f2c0dc1cba158755633574fbc7">Ogre::PixelUtil::hasAlpha</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shortcut method to determine if the format has an alpha component. </p>

</div>
</div>
<a class="anchor" id="a2a9e6ac27e4a4cb2d890d322b3f12c8e"></a><!-- doxytag: member="Ogre::PixelUtil::isAccessible" ref="a2a9e6ac27e4a4cb2d890d322b3f12c8e" args="(PixelFormat srcformat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#a2a9e6ac27e4a4cb2d890d322b3f12c8e">Ogre::PixelUtil::isAccessible</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>srcformat</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns wether the format can be packed or unpacked with the <a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40" title="Pack a colour value to memory.">packColour()</a> and <a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc" title="Unpack a colour value from memory.">unpackColour()</a> functions. </p>
<p>This is generally not true for compressed and depth formats as they are special. It can only be true for formats with a fixed element size. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if yes, otherwise false </dd></dl>

</div>
</div>
<a class="anchor" id="ac4fcce8523b25011939624bfe2572314"></a><!-- doxytag: member="Ogre::PixelUtil::isCompressed" ref="ac4fcce8523b25011939624bfe2572314" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#ac4fcce8523b25011939624bfe2572314">Ogre::PixelUtil::isCompressed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shortcut method to determine if the format is compressed. </p>

</div>
</div>
<a class="anchor" id="a51407cd07e47f24263942453ee4f93af"></a><!-- doxytag: member="Ogre::PixelUtil::isDepth" ref="a51407cd07e47f24263942453ee4f93af" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#a51407cd07e47f24263942453ee4f93af">Ogre::PixelUtil::isDepth</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shortcut method to determine if the format is a depth format. </p>

</div>
</div>
<a class="anchor" id="a478b8c3bbb3bc516f3a06524fc1d9f4b"></a><!-- doxytag: member="Ogre::PixelUtil::isFloatingPoint" ref="a478b8c3bbb3bc516f3a06524fc1d9f4b" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#a478b8c3bbb3bc516f3a06524fc1d9f4b">Ogre::PixelUtil::isFloatingPoint</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shortcut method to determine if the format is floating point. </p>

</div>
</div>
<a class="anchor" id="a7e2ff8ebe2e05d6c0dc5ab725b294cf8"></a><!-- doxytag: member="Ogre::PixelUtil::isLuminance" ref="a7e2ff8ebe2e05d6c0dc5ab725b294cf8" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#a7e2ff8ebe2e05d6c0dc5ab725b294cf8">Ogre::PixelUtil::isLuminance</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shortcut method to determine if the format is a luminance format. </p>

</div>
</div>
<a class="anchor" id="aa6a3f3c1e6b98b537ce6dfed949afa3c"></a><!-- doxytag: member="Ogre::PixelUtil::isNativeEndian" ref="aa6a3f3c1e6b98b537ce6dfed949afa3c" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#aa6a3f3c1e6b98b537ce6dfed949afa3c">Ogre::PixelUtil::isNativeEndian</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shortcut method to determine if the format is in native endian format. </p>

</div>
</div>
<a class="anchor" id="acb83c9058ba34602be4e07e4d7ce1d2d"></a><!-- doxytag: member="Ogre::PixelUtil::isValidExtent" ref="acb83c9058ba34602be4e07e4d7ce1d2d" args="(size_t width, size_t height, size_t depth, PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1PixelUtil.html#acb83c9058ba34602be4e07e4d7ce1d2d">Ogre::PixelUtil::isValidExtent</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>depth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return wether a certain image extent is valid for this image format. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>The width of the area </td></tr>
    <tr><td class="paramname">height</td><td>The height of the area </td></tr>
    <tr><td class="paramname">depth</td><td>The depth of the area </td></tr>
    <tr><td class="paramname">format</td><td>The format of the area </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>For non-compressed formats, this is always true. For DXT formats, only sizes with a width and height multiple of 4 and depth 1 are allowed. </dd></dl>

</div>
</div>
<a class="anchor" id="a793a7ae2bb8edec89ab520958ac33f40"></a><!-- doxytag: member="Ogre::PixelUtil::packColour" ref="a793a7ae2bb8edec89ab520958ac33f40" args="(const ColourValue &amp;colour, const PixelFormat pf, void *dest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40">Ogre::PixelUtil::packColour</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>colour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>dest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pack a colour value to memory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">colour</td><td>The colour </td></tr>
    <tr><td class="paramname">pf</td><td>Pixelformat in which to write the colour </td></tr>
    <tr><td class="paramname">dest</td><td>Destination memory location </td></tr>
  </table>
  </dd>
</dl>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="af0658994fbf0337d455ac9aa74ee8084"></a><!-- doxytag: member="Ogre::PixelUtil::packColour" ref="af0658994fbf0337d455ac9aa74ee8084" args="(const uint8 r, const uint8 g, const uint8 b, const uint8 a, const PixelFormat pf, void *dest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40">Ogre::PixelUtil::packColour</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>dest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pack a colour value to memory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">r,g,b,a</td><td>The four colour components, range 0x00 to 0xFF </td></tr>
    <tr><td class="paramname">pf</td><td>Pixelformat in which to write the colour </td></tr>
    <tr><td class="paramname">dest</td><td>Destination memory location </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a29490454e6327a0429d19533880f6e2c"></a><!-- doxytag: member="Ogre::PixelUtil::packColour" ref="a29490454e6327a0429d19533880f6e2c" args="(const float r, const float g, const float b, const float a, const PixelFormat pf, void *dest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40">Ogre::PixelUtil::packColour</a> </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>dest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pack a colour value to memory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">r,g,b,a</td><td>The four colour components, range 0.0f to 1.0f (an exception to this case exists for floating point pixel formats, which don't clamp to 0.0f..1.0f) </td></tr>
    <tr><td class="paramname">pf</td><td>Pixelformat in which to write the colour </td></tr>
    <tr><td class="paramname">dest</td><td>Destination memory location </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9b90b16c6c5c8a9fefd42e06a1bd99dc"></a><!-- doxytag: member="Ogre::PixelUtil::unpackColour" ref="a9b90b16c6c5c8a9fefd42e06a1bd99dc" args="(ColourValue *colour, PixelFormat pf, const void *src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc">Ogre::PixelUtil::unpackColour</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> *&#160;</td>
          <td class="paramname"><em>colour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unpack a colour value from memory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">colour</td><td>The colour is returned here </td></tr>
    <tr><td class="paramname">pf</td><td>Pixelformat in which to read the colour </td></tr>
    <tr><td class="paramname">src</td><td>Source memory location </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6599a03e4d51ef96f373f47253e2b9e3"></a><!-- doxytag: member="Ogre::PixelUtil::unpackColour" ref="a6599a03e4d51ef96f373f47253e2b9e3" args="(uint8 *r, uint8 *g, uint8 *b, uint8 *a, PixelFormat pf, const void *src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc">Ogre::PixelUtil::unpackColour</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unpack a colour value from memory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">r,g,b,a</td><td>The colour is returned here (as byte) </td></tr>
    <tr><td class="paramname">pf</td><td>Pixelformat in which to read the colour </td></tr>
    <tr><td class="paramname">src</td><td>Source memory location </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This function returns the colour components in 8 bit precision, this will lose precision when coming from PF_A2R10G10B10 or floating point formats. </dd></dl>

</div>
</div>
<a class="anchor" id="ae1448ad9a222ed03918f2e94a057612c"></a><!-- doxytag: member="Ogre::PixelUtil::unpackColour" ref="ae1448ad9a222ed03918f2e94a057612c" args="(float *r, float *g, float *b, float *a, PixelFormat pf, const void *src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc">Ogre::PixelUtil::unpackColour</a> </td>
          <td>(</td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unpack a colour value from memory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">r,g,b,a</td><td>The colour is returned here (as float) </td></tr>
    <tr><td class="paramname">pf</td><td>Pixelformat in which to read the colour </td></tr>
    <tr><td class="paramname">src</td><td>Source memory location </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
